Bug 222943 - sysutils/py-salt: Amazon Cloud requires py-boto
Summary: sysutils/py-salt: Amazon Cloud requires py-boto
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Ben Woods
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-10-12 05:52 UTC by Sven R
Modified: 2017-11-25 04:08 UTC (History)
2 users (show)

See Also:
woodsb02: maintainer-feedback+
woodsb02: merge-quarterly+


Attachments
salt 2017.1 fix for Amazon Cloud (3.52 KB, text/plain)
2017-10-12 05:52 UTC, Sven R
no flags Details
salt 2017.1 fix for Amazon Cloud v2 (1.78 KB, text/plain)
2017-10-12 18:03 UTC, Sven R
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sven R 2017-10-12 05:52:02 UTC
Created attachment 187092 [details]
salt 2017.1 fix for Amazon Cloud

devel/py-boto is required by Amazon Cloud modules (boto) since version 2017

Error message:
Exception raised when processing __virtual__ function for salt.loaded.int.module.boto_kinesis. Module will not be loaded: 'boto3.assign_funcs'

As botocore and boto are not mandatory for other modules it should be configurable to reduce dependencies

Patch suggestion attached
Comment 1 Sven R 2017-10-12 18:03:02 UTC
Created attachment 187112 [details]
salt 2017.1 fix for Amazon Cloud v2

www/boto3 is needed as well for some Amazon related modules like boto_elbv2
Comment 2 Ben Woods freebsd_committer 2017-11-23 14:26:02 UTC
Hi netzmacher,
I have just come across this issue also.

I notice it is reported in these 2 upstream issues:
https://github.com/saltstack/salt/issues/42311
https://github.com/saltstack/salt/issues/44062

You also referenced these issues in a pull request you submitted upstream which has been merged:
https://github.com/saltstack/salt/pull/44063

Can you please tell me more when you say "botocore and boto are not mandatory for other modules"?

Are you saying that this error is only occurring because salt finds botocore is installed and therefore attempts to use this module but it also requires boto and boto3?

If none of botocore, boto or boto3 are installed, will salt not produce an error because it will not try to use this module?

Lastly, do you think this functionality should be enabled by default in the FreeBSD package repo?
Comment 3 commit-hook freebsd_committer 2017-11-25 01:07:44 UTC
A commit references this bug:

Author: woodsb02
Date: Sat Nov 25 01:07:11 UTC 2017
New revision: 454859
URL: https://svnweb.freebsd.org/changeset/ports/454859

Log:
  sysutils/py-salt: Update to 2017.7.2

  Changes this release:
    https://docs.saltstack.com/en/latest/topics/releases/2017.7.2.html

  This update also includes
  - 2 security fixes (CVE-2017-14695 and CVE-2017-14696)
  - 2 additional boto dependencies to fix error msgs produced by salt

  PR:		223821
  PR:		222943
  Submitted by:	netzmacher <admin@netzmacher.net> (PR 222943)
  Approved by:	Christer Edwards (maintainer)
  MFH:		2017Q4
  Security:	https://vuxml.freebsd.org/freebsd/50127e44-7b88-4ade-8e12-5d57320823f1.html

Changes:
  head/sysutils/py-salt/Makefile
  head/sysutils/py-salt/distinfo
Comment 4 commit-hook freebsd_committer 2017-11-25 04:07:25 UTC
A commit references this bug:

Author: woodsb02
Date: Sat Nov 25 04:07:02 UTC 2017
New revision: 454871
URL: https://svnweb.freebsd.org/changeset/ports/454871

Log:
  MFH: r454859

  sysutils/py-salt: Update to 2017.7.2

  Changes this release:
    https://docs.saltstack.com/en/latest/topics/releases/2017.7.2.html

  This update also includes
  - 2 security fixes (CVE-2017-14695 and CVE-2017-14696)
  - 2 additional boto dependencies to fix error msgs produced by salt

  PR:		223821
  PR:		222943
  Submitted by:	netzmacher <admin@netzmacher.net> (PR 222943)
  Approved by:	Christer Edwards (maintainer)
  Security:	https://vuxml.freebsd.org/freebsd/50127e44-7b88-4ade-8e12-5d57320823f1.html

  Approved by:	ports-secteam (delphij)

Changes:
_U  branches/2017Q4/
  branches/2017Q4/sysutils/py-salt/Makefile
  branches/2017Q4/sysutils/py-salt/distinfo
Comment 5 Ben Woods freebsd_committer 2017-11-25 04:08:02 UTC
Committed - thanks!